import { http } from "@/utils/http";
import { baseUrlApi } from "./utils";

type Result = {
  msg: any;
  success: boolean;
  data?: {
    person?: Array<any>;
    car?: Array<any>;
  };
};
type Data = {
  success: boolean;
  msg: any;
  count: number;
  results?: Array<any>;
};

export const getPicList = (params?: object) => {
  return http.request<Result>("get", baseUrlApi("tps/pics"), { params });
};
export const getTPList = (params?: object) => {
  return http.request<Data>("get", baseUrlApi("tps"), { params });
};
