export default {
  path: "/system",
  meta: {
    icon: "informationLine",
    title: "系统管理",
    // showLink: false,
    rank: 3,
    roles: ["admin"]
  },
  children: [
    {
      path: "/system/user/index",
      name: "users",
      component: () => import("@/views/system/user/index.vue"),
      // component: () => import("@/views/common/common.vue"),
      meta: {
        title: "用户"
      }
    },
    {
      path: "/system/roles/index",
      name: "roles",
      component: () => import("@/views/system/roles/index.vue"),
      meta: {
        title: "角色"
      }
    },
    {
      path: "/system/dept/index",
      name: "dept",
      component: () => import("@/views/system/dept/index.vue"),
      meta: {
        title: "部门"
      }
    }
  ]
} as RouteConfigsTable;
